package com.ssj.service.kmt.request;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

public class BookAnswerCorrectRequest implements Serializable {
    private static final long serialVersionUID = -4309321135596007039L;

    @ApiModelProperty(name = "bookId", value = "练习册id")
    private String bookId;

    @ApiModelProperty(name = "wrongQuestionList", value = "答错的题目列表", required = true)
    private List<WrongQuestionRequest> wrongQuestionList;

    @ApiModelProperty(name = "rightQuestionIdList", value = "对的题目id", required = true)
    private List<String> rightQuestionIdList;

    public String getBookId() {
        return bookId;
    }

    public void setBookId(String bookId) {
        this.bookId = bookId;
    }

    public List<WrongQuestionRequest> getWrongQuestionList() {
        return wrongQuestionList;
    }

    public void setWrongQuestionList(List<WrongQuestionRequest> wrongQuestionList) {
        this.wrongQuestionList = wrongQuestionList;
    }

    public List<String> getRightQuestionIdList() {
        return rightQuestionIdList;
    }

    public void setRightQuestionIdList(List<String> rightQuestionIdList) {
        this.rightQuestionIdList = rightQuestionIdList;
    }
}
